export const QUERY_FUNCTION = [
    {
        name: 'saveExecuteSqlInfo',
        description: '存储执行该需求所需要的关键信息',
        parameters: {
            type: 'object',
            properties: {
                sql: {
                    type: 'string',
                    description: 'The SQL statement to execute',
                },
                variablesArr: {
                    type: 'array',
                    description: 'The array containing variables and their descriptions',
                    items: {
                        type: 'object',
                        properties: {
                            variable: {
                                type: 'string',
                                description: 'The variable',
                            },
                            varDescription: {
                                type: 'string',
                                description: 'The description of the variable',
                            },
                        },
                        required: ['variable', 'varDescription'],
                    },
                },
                queryName: {
                    type: 'string',
                    description: 'The name of the query',
                },
                queryDescription: {
                    type: 'string',
                    description: 'The description of the query',
                },
            },
            required: ['sql', 'variablesArr', 'queryName', 'queryDescription'],
        },
    },
];
